Bug 596295 - Authentication fails for user from the second domain when the same user name is filtered out from the first domain.
Summary: Authentication fails for user from the second domain when the same user name ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Stephen Gallagher
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 579775
TreeView+ depends on / blocked
 
Reported: 2010-05-26 14:38 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:42 UTC (History)
4 users (show)

Fixed In Version: sssd-1.2.1-15.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:39:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sssd.conf (822 bytes, text/plain)
2010-05-26 14:38 UTC, Gowrishankar Rajaiyan
no flags Details

Description Gowrishankar Rajaiyan 2010-05-26 14:38:35 UTC
Created attachment 416856 [details]
sssd.conf

Description of problem:
User A is not authenticated against the second domain when user with the same name exists and is filtered out from the first domain.

Version-Release number of selected component (if applicable):
sssd-1.2.0-12.el6.x86_64

How reproducible:


Steps to Reproduce:
1. Configured 2 instances of ldap having puser10 with unique uids and passwords.
# getent -s sss passwd 
puser10:*:2010:2010:Posix puser10:/export/puser10:/bin/sh
puser11:*:2011:2011:Posix puser11:/export/puser11:/bin/sh
puser10:*:1010:1010::/export/puser10:/bin/bash
puser11:*:1011:1011::/export/puser11:/bin/bash

2. Configure native ldap and proxy ldap with respective ldap instances. Observe that "domain" parameter in [sssd] section, its "domains = proxy,ldap".
3. filter out puser10 from the proxy domain.
4. Clear cache and restart sssd and nslcd services.
4. Try to authenticate puser10 from native ldap domain with its password.
  
Actual results:
1. Authentication fails.
2. Snippet of /var/log/sssd/sssd_proxy.log 

(Wed May 26 18:19:26 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): dbus conn: 1A386E0
(Wed May 26 18:19:26 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): Dispatching.
(Wed May 26 18:19:26 2010) [sssd[be[proxy]]] [sbus_message_handler] (9): Received SBUS method [ping]
(Wed May 26 18:19:29 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): dbus conn: 1A3C810
(Wed May 26 18:19:29 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): Dispatching.
(Wed May 26 18:19:29 2010) [sssd[be[proxy]]] [sbus_message_handler] (9): Received SBUS method [getAccountInfo]
(Wed May 26 18:19:29 2010) [sssd[be[proxy]]] [be_get_account_info] (4): Got request for [3][1][name=puser10]
(Wed May 26 18:19:29 2010) [sssd[be[proxy]]] [ldb] (9): start ldb transaction (nesting: 0)
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [get_initgr_groups_process] (2): proxy -> initgroups_dyn failed (0)[Success]
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [ldb] (9): cancel ldb transaction (nesting: 0)
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [acctinfo_callback] (4): Request processed. Returned 3,5,Internal Error (Input/output error)
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): dbus conn: 1A3C810
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): Dispatching.
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_message_handler] (9): Received SBUS method [pamHandler]
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [be_pam_handler] (4): Got request with the following data
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): command: PAM_AUTHENTICATE
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): domain: proxy
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): user: puser10
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): service: sshd
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): tty: ssh
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): ruser: 
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): rhost: localhost
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): authtok type: 1
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): authtok size: 9
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): newauthtok type: 0
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): newauthtok size: 0
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): priv: 0
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): cli_pid: 11176
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [proxy_child_send] (8): Queueing request [4]
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [proxy_child_init_send] (7): Starting proxy child with args [/usr/libexec/sssd/proxy_child -d 9 --debug-to-files --domain proxy --id 4]
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_server_init_new_connection] (5): Entering.
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_server_init_new_connection] (5): Adding connection 0x1a372a0.
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_init_connection] (5): Adding connection 1A372A0
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_add_watch] (8): 0x1a57460/0x1a52f90 (22), -/W (disabled)
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_toggle_watch] (8): 0x1a57460/0x1a4f0b0 (22), R/- (enabled)
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_server_init_new_connection] (5): Got a connection
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [proxy_client_init] (4): Set-up proxy client ID timeout [0x1a56fe0]
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): dbus conn: 1A372A0
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_toggle_watch] (8): 0x1a57460/0x1a4f0b0 (22), R/- (disabled)
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_toggle_watch] (8): 0x1a57460/0x1a52f90 (22), -/W (enabled)
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_toggle_watch] (8): 0x1a57460/0x1a4f0b0 (22), R/- (enabled)
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_toggle_watch] (8): 0x1a57460/0x1a52f90 (22), -/W (disabled)
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): dbus conn: 1A372A0
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): Dispatching.
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_message_handler] (9): Received SBUS method [RegisterService]
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [client_registration] (4): Cancel proxy client ID timeout [0x1a56fe0]
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [client_registration] (4): Proxy client [4] connected
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [proxy_pam_conv_send] (4): Sending request with the following data:
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): command: PAM_AUTHENTICATE
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): domain: proxy
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): user: puser10
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): service: sshd
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): tty: ssh
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): ruser: 
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): rhost: localhost
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): authtok type: 1
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): authtok size: 9
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): newauthtok type: 0
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): newauthtok size: 0
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): priv: 0
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [pam_print_data] (4): cli_pid: 11176
(Wed May 26 18:19:30 2010) [sssd[be[proxy]]] [sbus_add_timeout] (8): 0x1a540a0
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [sbus_remove_timeout] (8): 0x1a540a0
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): dbus conn: 1A372A0
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): Dispatching.
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [proxy_pam_conv_reply] (8): Handling pam conversation reply
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [proxy_pam_conv_reply] (4): received: [7][proxy]
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [proxy_child_destructor] (8): Removing proxy child id [4]
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [be_pam_handler_callback] (4): Backend returned: (0, 0, <NULL>) [Success]
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [be_pam_handler_callback] (4): Sending result [7][proxy]
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [be_pam_handler_callback] (4): Sent result [7][proxy]
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [sbus_remove_watch] (8): 0x1a57460/0x1a4f0b0
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [sbus_remove_watch] (8): 0x1a57460/0x1a52f90
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [proxy_child_sig_handler] (7): Waiting for child [11179].
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [proxy_child_sig_handler] (4): child [11179] was terminated by signal [9].
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): dbus conn: 1A372A0
(Wed May 26 18:19:32 2010) [sssd[be[proxy]]] [sbus_dispatch] (3): Connection is not open for dispatching.
(Wed May 26 18:19:36 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): dbus conn: 1A386E0
(Wed May 26 18:19:36 2010) [sssd[be[proxy]]] [sbus_dispatch] (9): Dispatching.
(Wed May 26 18:19:36 2010) [sssd[be[proxy]]] [sbus_message_handler] (9): Received SBUS method [ping]

3. Nothing in /var/log/sssd/sssd_ldap.log

Expected results:
Authentication should succeed. When puser10 is filtered out in proxy ldap (first domain), sssd should directly go to native ldap(second domain) for authentication instead of proxy ldap.

Additional info:

Comment 4 Gowrishankar Rajaiyan 2010-07-28 15:05:52 UTC
Authentication succeeds from the second domain when a user is filtered out from the first domain.

Verified. Version: sssd-1.2.1-21.el6.

Comment 5 releng-rhel@redhat.com 2010-11-10 21:39:44 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.